MPI_Group_difference(3)

NAME
MPI_Group_difference - Makes a group from the difference of two groups

SYNOPSIS
#include <mpi.h>
int MPI_Group_difference(MPI_Group g1, MPI_Group g2,
                       MPI_Group *pgd)

INPUT PARAMETERS
g1  - first group (handle)
g2  - second group (handle)

OUTPUT PARAMETER
pgd - difference group (handle)

NOTES

When a group is no longer being used, it should be freed with MPI_Group_free .

NOTES FOR FORTRAN

All MPI routines in Fortran (except for MPI_WTIME and MPI_WTICK ) have an additional argument ierr at the end of the argument list. ierr is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the call statement.

All MPI objects (e.g., MPI_Datatype , MPI_Comm ) are of type INTEGER in Fortran.

ERRORS

If an error occurs in an MPI function, the current MPI error handler is called to handle it. By default, this error handler aborts the MPI job. The error handler may be changed with MPI_Errhandler_set ; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned (in C and Fortran; this error handler is less useful in with the C++ MPI bindings. The predefined error handler MPI::ERRORS_THROW_EXCEPTIONS should be used in C++ if the error value needs to be recovered). Note that MPI does not guarantee that an MPI program can continue past an error.

All MPI routines (except MPI_Wtime and MPI_Wtick ) return an error value; C routines as the value of the function and Fortran routines in the last argument. The C++ bindings for MPI do not return error values; instead, error values are communicated by throwing exceptions of type MPI::Exception (but not by default). Exceptions are only thrown if the error value is not MPI::SUCCESS .

Note that if the MPI::ERRORS_RETURN handler is set in C++, while MPI functions will return upon an error, there will be no way to recover what the actual error value was.
MPI_SUCCESS
    - No error; MPI routine completed successfully.
MPI_ERR_GROUP
    - Null group passed to function.
MPI_ERR_ARG
    - Invalid argument. Some argument is invalid and is not identified by a specific error class. This is typically a NULL pointer or other such error.
MPI_ERR_OTHER
    - This error is returned when some part of the LAM/MPI implementation is unable to acquire memory.

SEE ALSO
MPI_Group_free

MORE INFORMATION

For more information, please see the official MPI Forum web site, which contains the text of both the MPI-1 and MPI-2 standards. These documents contain detailed information about each MPI function (most of which is not duplicated in these man pages).

http://www.mpi-forum.org/

ACKNOWLEDGEMENTS

The LAM Team would like the thank the MPICH Team for the handy program to generate man pages ("doctext" from ftp://ftp.mcs.anl.gov/pub/sowing/sowing.tar.gz ), the initial formatting, and some initial text for most of the MPI-1 man pages.

LOCATION
gdiff.c